> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Google digital wallet token

> 
 Creates a digital wallet token that can be added to a Google wallet. This token represents a specific card, wallet, and device token. The card's data is encrypted using digital wallet provider’s encryption key, meaning your PCI compliance overhead is reduced.

 After your request is successfully processed, you'll receive a ```DigitalWalletTokenTransition``` webhook containing the digital wallet token. You'll also be able to retrieve it using the [List digital wallet tokens](https://docs.equalsmoney.com/openapi/em-cards/operation/findDigitalWalletTokens/) endpoint.
    



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json post /cards/{cardId}/google-wallet
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/google-wallet:
    post:
      tags:
        - Digital wallets
      summary: Create a Google digital wallet token
      description: |2-

         Creates a digital wallet token that can be added to a Google wallet. This token represents a specific card, wallet, and device token. The card's data is encrypted using digital wallet provider’s encryption key, meaning your PCI compliance overhead is reduced.

         After your request is successfully processed, you'll receive a ```DigitalWalletTokenTransition``` webhook containing the digital wallet token. You'll also be able to retrieve it using the [List digital wallet tokens](https://docs.equalsmoney.com/openapi/em-cards/operation/findDigitalWalletTokens/) endpoint.
            
      operationId: provisionGoogleWallet
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type:
                - object
              properties:
                deviceType:
                  description: >-
                    The type of device into which the digital wallet token is
                    provisioned.
                  type:
                    - string
                  enum:
                    - MOBILE_PHONE
                    - TABLET
                    - WATCH
                  example: WATCH
                provisioningAppVersion:
                  type:
                    - string
                  maxLength: 50
                  description: >-
                    The version of the application making the provisioning
                    request. Used for debugging and fraud prevention.
                  example: 2.11.1
                deviceId:
                  type:
                    - string
                  maxLength: 24
                  description: >-
                    The cardholder's Android device ID, as provided during the
                    provisioning process.
                  example: b39f54264a3d
                walletUserId:
                  type:
                    - string
                  maxLength: 50
                  description: >-
                    The cardholder's digital wallet account ID, as provided
                    during the provisioning process.
                  example: 894b8236-b5cc-4f49-89f7-690d7bc4b9d2
              required:
                - deviceType
                - provisioningAppVersion
                - deviceId
                - walletUserId
              example:
                deviceType: WATCH
                provisioningAppVersion: 2.11.1
                deviceId: b39f54264a3d
                walletUserId: 894b8236-b5cc-4f49-89f7-690d7bc4b9d2
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  createdAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was initially created. ISO 8601
                      format without milliseconds.
                  updatedAt:
                    type:
                      - string
                    format: date-time
                    description: >-
                      The date the Resource was last modified. ISO 8601 format
                      without milliseconds.
                  pushTokenizeRequestData:
                    type:
                      - object
                    properties:
                      displayName:
                        type:
                          - string
                        description: >-
                          The name of the card as displayed in the digital
                          wallet, typically showing the card brand and last four
                          digits of the primary account number (PAN).
                        example: Visa 5678
                      lastDigits:
                        type:
                          - string
                        maxLength: 4
                        description: >-
                          The last four digits of the primary account number
                          (PAN) of the physical or virtual card.
                        example: '3264'
                      network:
                        type:
                          - string
                        description: The card network.
                        example: Visa
                      tokenServiceProvider:
                        type:
                          - string
                        enum:
                          - TOKEN_PROVIDER_VISA
                          - TOKEN_PROVIDER_MASTERCARD
                        description: >-
                          The network that provides the digital wallet token
                          service.
                        example: TOKEN_PROVIDER_VISA
                      opaquePaymentCard:
                        type:
                          - string
                        description: >-
                          An encrypted data field created by the issuer and
                          passed to Google Wallet during the push provisioning
                          process.
                        example: my_opaque_payment_card_RUza...
                      userAddress:
                        type:
                          - object
                        properties:
                          name:
                            type:
                              - string
                            description: Details about the cardholder's address.
                            example: John Doe
                          address1:
                            type:
                              - string
                            description: The street address of the cardholder.
                            example: 180 Grand Ave
                          address2:
                            type:
                              - string
                            description: >-
                              Additional address information for the cardholder,
                              such as a suite or apartment number.
                            example: Suite 500
                          city:
                            type:
                              - string
                            description: The city of the cardholder.
                            example: Oakland
                          state:
                            type:
                              - string
                            description: >-
                              The state or province of the cardholder (2
                              characters).
                            example: CA
                          postalCode:
                            type:
                              - string
                            maxLength: 255
                            description: >-
                              The postal code of the cardholder, such as a
                              United States ZIP code.
                            example: '94612'
                          country:
                            type:
                              - string
                            description: >-
                              The country of the cardholder, in ISO 3166-1
                              format (alpha-2).
                            example: US
                          phone:
                            type:
                              - string
                            maxLength: 255
                            description: The telephone number of the cardholder.
                            example: '5105551212'
                        required:
                          - name
                required:
                  - createdAt
                  - updatedAt
                  - pushTokenizeRequestData
                example:
                  createdAt: '2019-08-24T14:15:22Z'
                  updatedAt: '2019-08-24T14:15:22Z'
                  pushTokenizeRequestData:
                    displayName: Visa 5678
                    lastDigits: '3264'
                    network: Visa
                    tokenServiceProvider: TOKEN_PROVIDER_VISA
                    opaquePaymentCard: my_opaque_payment_card_RUza...
                    userAddress:
                      name: John Doe
                      address1: 180 Grand Ave
                      address2: Suite 500
                      city: Oakland
                      state: CA
                      postalCode: '94612'
                      country: US
                      phone: '5105551212'
      security:
        - CommonAuth:
            - google-wallet:provision:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request POST \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/google-wallet?accountId={{accountId}}' \
              --header 'Authorization: <api-key>' \
              --header 'Content-Type: application/json' \
              --data '
            {
              "deviceType": "WATCH",
              "provisioningAppVersion": "2.11.1",
              "deviceId": "b39f54264a3d",
              "walletUserId": "894b8236-b5cc-4f49-89f7-690d7bc4b9d2"
            }
            '
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````